#include <iostream>
#include <iomanip>
#include <cmath>
using namespace std;

long long mul(long long a, long long b, long long c)
{
  long long res=0, t=a%c;
  while(b)
  {
    if(b%2) res=(res+t)%c;
    t=t*2%c;
    b/=2;
  }
  return res;
}

int main()
{
  long long int a, b;
  long long int c, res=1;
  cin>>a>>b>>c;
  long long int t=a%c;
  
  while(b)
  {
    if(b%2) res=mul(res, t, c);
    b/=2;
    t=mul(t, t, c);
  }
  
  cout<<res<<endl;
  return 0;
}
