#include <cstdio>
#include <vector>
#include <queue>
using namespace std;

#define N 1000
#define M 1000


typedef struct xy {
	int x;
	int y;
};

xy nn[1000],mm[1000];


int n,m,to;
void input() {
	scanf("%d%d",&n,&m);
	int c,d,k;
	for (int i=0;i<n;i++) {
		scanf("%d%d",&c,&d);
		if (c>d) {
			k=c;
			c=d;
			d=k;
		}
		
		nn[i].x=c;
		nn[i].y=d;
	}
	for (int i=0;i<m;i++) {
		scanf("%d%d",&c,&d);
		if (c>d) {
			k=c;
			c=d;
			d=k;
		}
		
		mm[i].x=c;
		mm[i].y=d;
	}
}

bool ch(xy c, xy d) {
	if (c.x<=d.x && c.y<=d.y) return true;
	return false;
}



int cap[2002][2002];
vector <int> a[2002];


void bld() {
	for (int i=1;i<=n;i++) {
		a[0].push_back( i );
		cap[0][i]=1;
	}
	to=n+m+1;
	for (int i=n+1;i<to;i++) {
		a[i].push_back( to );
		cap[i][to]=1;
	}
	
	for (int i=0;i<n;i++) {
		for (int j=0;j<m;j++) {
			if (ch(nn[i],mm[j])) {
				a[i+1].push_back( n+j+1 );
				cap[i+1][n+j+1]=1;
				a[n+j+1].push_back( i+1 );
			}
		}
	}
}




int parent[2002];
void null_par() {
	for (int i=0;i<=to;i++) parent[i]=-1;
	parent[0]=-2;
}


int bfs() {
	null_par();
	queue <int> q;
	q.push(0);
	
	int x,s,nx;
	while (!q.empty()) {
		x=q.front();
		q.pop();
		s=a[x].size();
		for (int i=0;i<s;i++) {
			nx=a[x][i];
			if (parent[nx]==-1 && cap[x][nx]>0) {
				parent[nx]=x;
				q.push(nx);
				if (nx==to) return 1;
			}
		}
	}
	return 0;
}




int max_flow() {
	int maxflow=0;
	
	while (bfs()==1) {
		int current=to;
		int prev=parent[current];
		
		while (current!=0) {
			cap[current][prev]++;
			cap[prev][current]--;
			current=prev;
			prev=parent[current];
		}
		maxflow++;
	}
	return maxflow;
}

				


int main() {
	input();
	bld();
	printf("%d\n",max_flow());
	return 0;
}
