/*
codr: timiter
task: powmod
lang: C++
*/

#include <cstdio>

using namespace std;

long long inp, b, p, q, e;
int a[64], c[64], r[64], g[64], t[64];
bool f;

void pmul();
void padd();
void prem();
void pgcd();

int main()
{
	int i;
	for (i = 0; i < 60; i++)
	{
		a[i] = 0;
		c[i] = 0;
	}
	scanf("%lld", &inp);
	p = inp;
	for (i = 59; inp > 0; i--)
	{
		a[i] = inp % 10;
		inp /= 10;
	}
	scanf("%lld", &b);
	scanf("%lld", &inp);
	q = inp;
	e = inp;
	for (i = 59; inp > 0; i--)
	{
		c[i] = inp % 10;
		inp /= 10;
	}
	pgcd();
	b %= e / (p + q);
	prem();
	for (i = 0; i < 60; i++)
	{
		r[i] = a[i];
	}
	for (b--; b > 0; b--)
	{
		pmul();
		prem();
	}
	f = false;
	for (i = 0; i < 60; i++)
	{
		if (a[i] != 0)
		{
			f = true;
		}
		if (f)
		{
			printf("%d", a[i]);
		}
	}
	if (!f)
	{
		printf("0");
	}
	printf("\n");
    return 0;
}

void pmul()
{
	int i, j, d;
	for (i = 0; i < 60; i++)
	{
		t[i] = 0;
	}
	for (i = 59; i >=0; i--)
	{
		if (r[i] != 0)
		{
			d = 0;
			for (j = 0; j < 60; j++)
			{
				g[j] = 0;
			}
			for (j = 59; j >= 59 - i; j--)
			{
				g[j + i - 59] = a[j] * r[i] + d;
				d = g[j + i - 59] / 10;
				g[j + i - 59] %= 10;
			}
			padd();
		}
	}
	for (i = 0; i < 60; i++)
	{
		a[i] = t[i];
	}
}

void padd()
{
	int i, d = 0;
	for (i = 59; i >= 0; i--)
	{
		t[i] += g[i];
		t[i] += d;
		d = t[i] / 10;
		t[i] %= 10;
	}
}

void prem()
{
	int i, j, d, h;
	for (i = 0; c[i] == 0; i++);
	h = i;
	for (i = 1; i <= h; i++)
	{
		f = true;
		while (f)
		{
			for (j = -1; j < 60 - h; j++)
			{
				if (a[i + j] != c[h + j])
				{
					break;
				}
			}
			if (j >= 60 - h || (j < 60 - h && a[i + j] > c[h + j]))
			{
				d = 0;
				for (j = 59 - h; j >= -1; j--)
				{
					a[i + j] -= c[h + j] + d;
					if (a[i + j] < 0)
					{
						a[i + j] += 10;
						d = 1;
					}
					else
					{
						d = 0;
					}
				}
			}
			else
			{
				f = false;
			}
		}
	}
}

void pgcd()
{
	while (p != 0 && q != 0)
	{
		if (p > q)
		{
			p %= q;
		}
		else
		{
			q %= p;
		}
	}
}
