#include <iostream>
/*
 *  Николай Йорданов
 *  10 клас
 *  НЛС 10, Контролно състезание 1
 *  задача powmod
 */
#include <map>
#include <vector>

using namespace std;

int main() {
  unsigned long long a, b, c;
  cin>>a>>b>>c;
  
  map<unsigned long long, int> pow_alloc;
  vector<unsigned long long> pows;
  
  int i, pow;
  bool t = false;
  
  for(i = a, pow = 1; pow<b; pow++) {
    if(pow_alloc.find(i) == pow_alloc.end()) {
      pows.push_back(i);
      pow_alloc[i] = pows.size() -1;
    } else {
      t = true;
      break;
    }
    
    i*=a;
    i%=c;
  }
  
  if(t)
    cout<<pows[ b % pows.size() -1]<< endl;
  else
    cout<<i<<endl;
  
  return 0;
}