#include <cstdio>
#include <queue>
using namespace std;

int c[2048][2048];
int f[2048][2048];
int prev[2048];
int vis[2048];
int n;
int izt=0, cons;

int bfs()
{
  queue<int> dat;
  int i, j, v;
  for(i=0; i<=cons; i++) prev[i]=vis[i]=0;
  dat.push(izt);
  vis[izt]=1;
  while(!dat.empty())
  {
    v=dat.front(); dat.pop();
    for(i=1; i<=cons; i++) if(!vis[i] && c[v][i]>0)
    {
      vis[i]=1;
      prev[i]=v;
      dat.push(i);
    }
  }
  
  if(!vis[cons]) return 0;
  int flow=1e6;
  for(i=cons, j=prev[cons]; i!=izt; i=prev[i], j=prev[j]) if(c[j][i]<flow) flow=c[j][i];
  for(i=cons, j=prev[cons]; i!=izt; i=prev[i], j=prev[j]) { c[j][i]-=flow; f[j][i]+=flow; c[i][j]+=flow; f[i][j]-=flow; }
  return 1;
}

int fordfulk()
{
  while(bfs());
  int flow=0;
  for(int i=1; i<=n; i++) flow+=f[izt][i];
  return flow;
}

int xa[1024], ya[1024], xb[1024], yb[1024];
int main()
{
  int p, q, i, j;
  scanf("%d%d", &p, &q);
  n=p+q;
  cons=p+q+1;
  for(i=1; i<=p; i++) { scanf("%d%d", &xa[i], &ya[i]); if(xa[i]>ya[i]) swap(xa[i], ya[i]); }
  for(i=1; i<=q; i++) { scanf("%d%d", &xb[i], &yb[i]); if(xb[i]>yb[i]) swap(xb[i], yb[i]); }
  for(i=1; i<=p; i++) c[izt][i]=1;
  for(i=1; i<=q; i++) c[p+i][cons]=1;
  for(i=1; i<=p; i++)
    for(j=1; j<=q; j++)
      if(xa[i]<=xb[j] && ya[i]<=yb[j])
	c[i][p+j]=1;

  printf("%d\n", fordfulk());
  return 0;
}
