#include <cstdio>
#include <algorithm>
using namespace std;

struct point { double x; int status; point(int a, int b) {x=a; status=b; } point(){}};
inline void operator+=(int &a, point b) { a+=b.status; }
int lessp(point a, point b) { return (a.x<b.x)||(a.x==b.x && a.status==1); }

point p[3000000];

int main()
{
  int n, m;
  scanf("%d%d", &n, &m);
  int i, l, r;
  for(i=0; i<m; i++)
  {
    scanf("%d%d", &l, &r);
    if(l>r) swap(l, r);
    p[2*i]=point(l, 1);
    p[2*i+1]=point(r, -1);
  }
  
  sort(p, p+2*m, lessp);
  l=p[0].status;
  r=0;
  for(i=1; i<2*m; i++)
  {
    if(l>0) r+=p[i].x-p[i-1].x;
    l+=p[i];
  }
  
  printf("%d\n", n-r);
  return 0;
}
