#include <iostream>
#include <vector>
#include <queue>
#include <algorithm>
#define x first
#define y second
using namespace std;
typedef pair <int , int> pii;
int n , m , br, ans , a[2048][2048], used[2048];
// 0 - source , n + m + 1 - sink
pii cards[1024] , p [1024];

vector <int> path;

int bfs ()
{
 memset (used , -1 , sizeof (used));
 
 queue < int > q; 
 q.push ( 0 );
 used[0] = -2;
 
 while (q.size () )
  {
   int sz = q.size () ; 
   for (int k=0 ; k < sz; k ++)
    {
     int top = q.front (); q.pop ();
     
     if (top == n + m + 1) 
      {
       path.clear ();
       int j = top;
       while (used[j] != -2)
        {
         path.push_back (j);
         j = used[j] ;
        }
       return 1;
      }
     
     if (top == 0)
      {// it's the source
       for (int i=1 ; i <= n; i ++)
        if (a[0][i] > 0 && used [i] == -1) 
         {
          q.push (i);
          used [i] = top;
         }
      }         
     if (top > 0 && top <= n)
      {// card
       for (int i=n + 1; i <= n + m; i++)
        if (a[top][ i ] > 0 && used [i] == -1) 
         {
          q.push (i); 
          used [i] = top;
         } 
      }
    
     if (top > n && top <= n + m)
      {// plik
        if (a[top][n + m + 1] > 0) 
         {
          q.push (n + m + 1); 
          used[n + m + 1] = top;
         } 
      }
     
    }
  }
 return 0;
}

inline void update ()
{
 for (int i=path.size () - 2; i >= 0; i--)
  {
   a[ path[i + 1] ][ path[i] ] --;
   a[ path[i] ][ path[i + 1] ] ++;
  }
 ans ++;
}

int main ()
{
 scanf ("%d%d", &n, &m);
 
 for (int i=1 ; i <= n; i++)
  {
   scanf ("%d%d", & cards[i].x , &cards[i].y);
   if (cards[i].x > cards[i].y) 
    {  
     cards[i].x = cards[i].x ^ cards[i].y; 
     cards[i].y = cards[i].x ^ cards[i].y;
     cards[i].x = cards[i].x ^ cards[i].y;  
    }
   a[0][i] = 1; // from supersource
  }

 for (int i=1 ; i <= m; i++)
  {
   scanf ("%d%d", &p[i].x, &p[i].y);
   if (p[i].x > p[i].y) {  p[i].x = p[i].x ^ p[i].y; p[i].y = p[i].x ^ p[i].y; p[i].x = p[i].x ^ p[i].y;  }
 
   a[n + i][ n + m + 1 ] = 1;
   
   for (int j=1; j <= n; j ++)
    if ( p[i].x >= cards [j].x && p[i].y >= cards [j].y )
     a[ j ][ n + i ] = 1;
  }
 
 while (bfs ())
  update ();
 
 printf ("%d\n", ans);
 return 0;    
}
